function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',4);
pdetool('snapon','on');
set(ax,'DataAspectRatio',[1 1 1]);
set(ax,'PlotBoxAspectRatio',[3 2 1]);
set(ax,'XLimMode','auto');
set(ax,'YLimMode','auto');
set(ax,'XTickMode','auto');
set(ax,'YTickMode','auto');
pdetool('gridon','on');

% Geometry description:
pdecirc(0.5,2,0.5,'C2');
pdepoly([ 0.5,...
 1,...
 1,...
 1.5,...
 1.5,...
 1,...
 1,...
 0.5,...
 0.5,...
 0,...
 0,...
 0.5,...
],...
[ 2.5,...
 2.5,...
 2,...
 2,...
 1.5,...
 1.5,...
 1,...
 1,...
 1.5,...
 1.5,...
 2,...
 2,...
],...
 'P1');
pderect([0 0.5 2.5 2],'SQ1');
pdeellip(0.5,2,0.25,0.25,...
0,'E1');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','(P1*C2+SQ1+E1)-E1')

% Boundary conditions:
pdetool('changemode',0)
pdesetbd(12,...
'dir',...
2,...
char('1','0','0','1'),...
char('0','0'))
pdesetbd(11,...
'dir',...
2,...
char('1','0','0','1'),...
char('0','0'))
pdesetbd(10,...
'dir',...
2,...
char('1','0','0','1'),...
char('0','0'))
pdesetbd(9,...
'dir',...
2,...
char('1','0','0','1'),...
char('0','0'))
pdesetbd(7,...
'neu',...
2,...
char('0','0','0','0'),...
char('0','0'))
pdesetbd(6,...
'dir',...
2,...
char('1','0','0','1'),...
char('0','0'))
pdesetbd(5,...
'neu',...
2,...
char('0','0','0','0'),...
char('0','0'))
pdesetbd(2,...
'neu',...
2,...
char('0','0','0','0'),...
char('-10','0'))
pdesetbd(1,...
'neu',...
2,...
char('0','0','0','0'),...
char('0','10'))

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
setappdata(pde_fig,'jiggle',char('on','mean',''));
pdetool('initmesh')
pdetool('refine')

% PDE coefficients:
pdeseteq(1,...
char('2*((1E3)./(2*(1+(0.3))))+(2*((1E3)./(2*(1+(0.3)))).*(0.3)./(1-2*(0.3)))','0','(1E3)./(2*(1+(0.3)))','0','(1E3)./(2*(1+(0.3)))','2*((1E3)./(2*(1+(0.3)))).*(0.3)./(1-2*(0.3))','0','(1E3)./(2*(1+(0.3)))','0','2*((1E3)./(2*(1+(0.3))))+(2*((1E3)./(2*(1+(0.3)))).*(0.3)./(1-2*(0.3)))'),...
char('0.0','0.0','0.0','0.0'),...
char('0.0','0.0'),...
char('1.0','0','0','1.0'),...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1E3';...
'0.3';...
'0.0';...
'0.0';...
'1.0'])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
char('0','1404','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[1 1 1 1 1 1 1 1 0 0 0 1 1 0 1 0 1 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');

% Solve PDE:
pdetool('solve')
